Subject: bug#71200: TRAMP: Trying to do a project-find-file or (find-directory) using the podman method causes a (wrong-type-argument stringp nil) error

From: Dmitry Gutov <[email-masked]>
Date: Sun, 26 May 2024 20:26:49 +0300

On 26/05/2024 20:21, alexis purslane wrote:
> Actually, no, installing git does not help resolve the problem
> whatsoever. One works, the other two don't, but I can't tell why. The
> one that works is my general purpose development container, and the
> other two are more specialized, so that may be the origin of the
> problem, but it doesn't explain what in particular is missing. What does
>   project.el rely on the host having installed?

project-find-file just uses 'git ls-files' if it's in a repository, or 
'find' otherwise.

If your file name string juggling made things work correctly, it seems 
unlikely that the problem is in some missing software on the remote host.

Does the ssh transport work with the "more specialized" containers?